be.vlaanderen.mercurius.mohm.common.v7

## Class ApplicationBTCType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.ApplicationBTCType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:25:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ApplicationBTCType
      extends Object
      implements Serializable

  Generiek type voor BTC.

  Java class for ApplicationBTCType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ApplicationBTCType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="HasBTCAsked" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="EstimateDocument" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EstimateDocumentType" minOccurs="0"/>
               <element name="BTCAdditionalAllowance" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationBTCAdditionalAllowanceType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationBTCType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ApplicationBTCAdditionalAllowanceType>` | `getBTCAdditionalAllowances()` Gets the value of the btcAdditionalAllowances property.
    `EstimateDocumentType` | `getEstimateDocument()` Gets the value of the estimateDocument property.
    `boolean` | `isHasBTCAsked()` Gets the value of the hasBTCAsked property.
    `void` | `setEstimateDocument(EstimateDocumentType value)` Sets the value of the estimateDocument property.
    `void` | `setHasBTCAsked(boolean value)` Sets the value of the hasBTCAsked property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationBTCType

          public ApplicationBTCType()

  - ### Method Detail

    - #### isHasBTCAsked

          public boolean isHasBTCAsked()

      Gets the value of the hasBTCAsked property.

    - #### setHasBTCAsked

          public void setHasBTCAsked(boolean value)

      Sets the value of the hasBTCAsked property.

    - #### getEstimateDocument

          public EstimateDocumentType getEstimateDocument()

      Gets the value of the estimateDocument property.
      Returns:
        possible object is `EstimateDocumentType`

    - #### setEstimateDocument

          public void setEstimateDocument(EstimateDocumentType value)

      Sets the value of the estimateDocument property.
      Parameters:
        `value` - allowed object is `EstimateDocumentType`

    - #### getBTCAdditionalAllowances

          public List<ApplicationBTCAdditionalAllowanceType> getBTCAdditionalAllowances()

      Gets the value of the btcAdditionalAllowances property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the btcAdditionalAllowances property.

      For example, to add a new item, do as follows:

              getBTCAdditionalAllowances().add(newItem);

      Objects of the following type(s) are allowed in the list `ApplicationBTCAdditionalAllowanceType`

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.